// GetUrlFile.h 
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(GETURLFILE)
#define GETURLFILE

#include "Defs.h"
#include "MyInternetSession.h"
class GetUrlFile
{
public: // create from serialization only
	GetUrlFile();
	virtual ~GetUrlFile();

public:

	//Routines
	int			GetFile(char *pszURL, char *filename);
	int			OpenURL(char *pszURL, char *filename,char *filetxt);
	int			GetURLFileLen();
	time_t		GetURLFileTime();
	void		CloseURL();
	int			ReadFile();
	int			GetURL_LenTime(char *pszURL, int *filelen, time_t *filetime);
	int			XGetFile(char *pszURL, char *filename);
	int			XGetURL_LenTime(char *pszURL, int *filelen, time_t *filetime);


	//Variables
	int					nRead;

	int					m_filelen;	
	time_t				m_filetime;
	int					m_seek;
	char				m_readbuf[MAXFTPREAD];
	double				lastclock;

	MyInternetSession	*session;
	CHttpConnection*	pServer;

	CHttpFile*			pFile;
	FILE				*writefile;
	DWORD				dwServiceType, dwRet;
	CString				strServerName, strObject, strNewLocation;
	INTERNET_PORT		nPort;

};

#endif //GETURLFILE