////////////////////////////////////////////////////
////////////////////////////////////////////////////
// !!! this is not public domain !!!
// You can do what you want if it never hurt bonito.
// Otherwise, you will need the consent of Bonito.	
////////////////////////////////////////////////////
// RadioJet Open Source Project RadioJet
// www.bonito.net/radiojet/opensource
////////////////////////////////////////////////////
////////////////////////////////////////////////////

// FrqConverterDlg.cpp : implementation file
//

#include "stdafx.h"
#include "GlobalTools.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	afx_msg void OnWeblink();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	ON_BN_CLICKED(IDC_WEBLINK, OnWeblink)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


void CAboutDlg::OnWeblink() 
{
	ShellExecute(NULL, NULL,"http://www.bonito.net/radiojet/development", NULL,NULL, SW_SHOWNORMAL);
}


/////////////////////////////////////////////////////////////////////////////
// CFrqConverterDlg dialog

CFrqConverterDlg::CFrqConverterDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFrqConverterDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFrqConverterDlg)
	m_URL = _T("http://www1.s2.starcat.ne.jp/ndxc/is/bib12.txt");
	m_errorText = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CFrqConverterDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFrqConverterDlg)
	DDX_Control(pDX, IDC_FILE_ACTION, FileAction);
	DDX_Control(pDX, IDC_ERROR_TXT, erStatus);
	DDX_Control(pDX, IDC_PROGRESS1, m_progress);
	DDX_Text(pDX, IDC_EDIT1,		m_URL);
	DDX_Text(pDX, IDC_ERROR_TXT,	m_errorText);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFrqConverterDlg, CDialog)
	//{{AFX_MSG_MAP(CFrqConverterDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_GO_WEB, OnGoWeb)
	ON_BN_CLICKED(IDC_WEBLINK, OnWeblink)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFrqConverterDlg message handlers

BOOL CFrqConverterDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
		{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
			{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
			}
		}
	m_URL=AfxGetApp()->GetProfileString("URL","AOKIlist",m_URL);
	UpdateData(FALSE);

	sprintf(FrqConvDir,"%s\\Data\\FrqConverter",myDIR);

	my_mainframe=this;
	m_progress.SetRange(0,200);
	myProg=&m_progress;

	SetIcon(m_hIcon, TRUE);			// Set big icon

	return TRUE; 
}

void CFrqConverterDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CFrqConverterDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CFrqConverterDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

#define WM_MYUSER				(WM_USER+7400)
#define WM_BONITO_FRQ_QUIT		(WM_MYUSER+132)	//the import frq converter was ready

void CFrqConverterDlg::OnOK() 
{
	GetUrlFile	UrlFile;
	char		URL[256], filename[256];
	CTime		tim;

	
	tim=time(0);
	UpdateData(TRUE);	
	
	AfxGetApp()->WriteProfileString("URL","AOKIlist",m_URL);
	sprintf(filename,"%s\\InputList\\AOKIlist.txt",FrqConvDir);

	int l=strlen(m_URL);
	//s/bib12.txt");
	//	  7654321
	xstrA[0]=XSTRa[0]=m_URL[l-7];
	xstrA[1]=XSTRa[1]=m_URL[l-6];	
	xstrA[2]=XSTRa[2]=m_URL[l-5];
	xstrA[3]=XSTRa[3]=0;
	XSTRa[0]&=0x5F;

	strcpy(URL,m_URL);
	FileAction.SetWindowText("download AOKI's Frq-List File \"AOKIlist.txt\"");

	if(!UrlFile.GetFile(URL,filename))
		{
		FileAction.SetWindowText("download ready: convert InputList\\AOKIlist.txt --> Data\\FrqData0C.bin");
		GetTables();
		MergeFrqList();
		if (QuitWin)
			{
			::PostMessage (QuitWin,WM_BONITO_FRQ_QUIT, 13, (LPARAM)FrqData.GetSize());
			}
		CDialog::OnOK();
		}
}

void CFrqConverterDlg::OnGoWeb() 
{
	ShellExecute(NULL, NULL,"http://www1.s2.starcat.ne.jp/ndxc/news.htm", NULL,NULL, SW_SHOWNORMAL);	
}

void CFrqConverterDlg::OnWeblink() 
{
	ShellExecute(NULL, NULL,"http://www.bonito.net/radiojet/development", NULL,NULL, SW_SHOWNORMAL);
}
